import { getAxios, postAxios, downFile } from '@/utils/axios.js'

export function apiGetCart() {
    return getAxios({ url: '/cgi-bin/cart/latest' })
}
export function login(data) {
    return postAxios({ url: 'api/account/login', data })
}
export function cheekalive(data) {
    return postAxios({ url: 'api/account/cheekalive', data })
}
export function tkhostdata(data) {
    return postAxios({ url: 'api/tkinfo/tkhostdata', data })
}
export function dicts(data) {
    return postAxios({ url: 'api/param/dicts', data })
}
export function tkhostdetail(data) {
    return postAxios({ url: 'api/tkinfo/tkhostdetail', data })
}
//导出表格
export function exporthosts(data) {
    return postAxios({ url: 'api/export/hostsinfo', data })
}
export function downList(url, data) {
    return downFile(url, data)
}
//查询tk账号查询次数
export function tkaccountuseinfo(data) {
    return postAxios({ url: 'api/tkinfo/tkaccountuseinfo', data })
}
//查询员工
export function getStaffList(data) {
    return postAxios({ url: 'api/account/list', data })
}
//分配主播
export function managerhosts(data) {
    return postAxios({ url: 'api/account/managerhosts', data })
}
//编辑主播
export function upholdinfo(data) {
    return postAxios({ url: 'api/tkinfo/upholdinfo', data })
}
//获取
export function getCountryinfo(data) {
    return postAxios({ url: 'api/tkinfo/countryinfo', data })
}
